//
//  GLLineSymbolizer.h
//  GLMapKit
//
//  Created by Jeffrey Early on 12/31/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GLGeometryKit/GLSymbolizer.h>

@interface GLLineSymbolizer : GLSymbolizer <NSCoding> {
	CGFloat * lineDash;
	NSColor *strokeColor;
	float strokeWidth;
	float strokeOpacity;
	NSLineJoinStyle	lineJoin;
	NSLineCapStyle lineCap;
	CGFloat lineDashOffset;
	NSUInteger lineDashCount;
	BOOL isDashed;
	
	BOOL shouldShadow;
	float xShadowOffset;
	float yShadowOffset;
	float shadowBlur;
}

@property(copy) NSColor *strokeColor;
@property float strokeWidth;
@property float strokeOpacity;
@property NSLineJoinStyle	lineJoin;
@property NSLineCapStyle lineCap;
@property CGFloat lineDashOffset;
@property NSUInteger lineDashCount;
@property BOOL isDashed;

@property BOOL shouldShadow;
@property float xShadowOffset, yShadowOffset, shadowBlur;

- (CGFloat *) lineDash;
- (void) setLineDash: (CGFloat *) anArray withCount: (NSUInteger) count;
- (BOOL) isEqualToLineSymbolizer: (GLLineSymbolizer *) aLineSymbolizer;

/************************************************/
/*		Spatial Object Draw Additions			*/
/************************************************/

#pragma mark -
#pragma mark Spatial Object Draw Additions
#pragma mark

- (void) symbolizeInContext: (CGContextRef) context withScaleFactor: (double) scale;

@end
