//
//  GLMapBackForwardList.h
//  GLMapKit
//
//  Created by Jeffrey Early on 2/27/09.
//  Copyright 2009 Early Innovations, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GLMapHistoryItem.h"

@interface GLMapBackForwardList : NSObject {
	NSMutableArray *backItems;
	NSMutableArray *forwardItems;
	GLMapHistoryItem *currentItem;
}

/************************************************/
/*		Adding and Removing Items				*/
/************************************************/

#pragma mark -
#pragma mark Adding and Removing Items
#pragma mark

- (void) addItem: (GLMapHistoryItem *) item;

/************************************************/
/*		Moving Backward and Forward				*/
/************************************************/

#pragma mark -
#pragma mark Moving Backward and Forward
#pragma mark

- (void) goBack;
- (void) goForward;
- (void) goToItem;

/************************************************/
/*		Querying the Back-Forward List			*/
/************************************************/

#pragma mark -
#pragma mark Querying the Back-Forward List
#pragma mark

- (GLMapHistoryItem *) backItem;
- (NSUInteger) backListCount;
- (GLMapHistoryItem *) currentItem;
- (GLMapHistoryItem *) itemAtIndex: (NSInteger) index;
- (GLMapHistoryItem *) forwardItem;
- (NSUInteger) forwardListCount;

@end
